=== added symlink 'HACKING'
=== target is 'docs/mojo/hacking.md'
=== removed symlink 'HACKING.md'
=== target was 'docs/hacking.md'
=== modified file 'Makefile'
--- Makefile	2015-01-20 16:42:06 +0000
+++ Makefile	2015-01-21 07:26:49 +0000
@@ -75,9 +75,15 @@
 	cd debian && debuild -sa -I.bzr
 
 clean-docs:
-	cd docs && rm -f *.html
+	@echo Cleaning documentation directory...
+	cd docs/www && rm -f *.html
 
 generate-docs: clean-docs
-	for mdfile in docs/*.md; do \
-		markdown $$mdfile > $${mdfile%.*}.html ; \
+	@echo Generatiing html documentation in docs/www...
+	for mdfile in docs/mojo/*.md; do \
+		mdfile=$${mdfile%.*}.html ; \
+		mdfile=$${mdfile/www/mojo} ; \
+		cp header.html $${mdfile}.html ; \
+		markdown $$mdfile >> $${mdfile}.html ; \
+		cat footer.html >> $${mdfile}.html ; \
 	done

=== added symlink 'README'
=== target is 'docs/mojo/readme.md'
=== removed symlink 'README.md'
=== target was 'docs/readme.md'
=== added directory 'docs/images'
=== added directory 'docs/mojo'
=== renamed file 'docs/hacking.md' => 'docs/mojo/hacking.md'
--- docs/hacking.md	2015-01-20 16:46:31 +0000
+++ docs/mojo/hacking.md	2015-01-21 07:26:49 +0000
@@ -1,27 +1,18 @@
-     ___           ___         ___          ___
-    /__/\         /  /\       /  /\        /  /\
-   |  |::\       /  /::\     /  /:/       /  /::\
-   |  |:|:\     /  /:/\:\   /__/::\      /  /:/\:\
- __|__|:|\:\   /  /:/  \:\  \__\/\:\    /  /:/  \:\
-/__/::::| \:\ /__/:/ \__\:\    \  \:\  /__/:/ \__\:\
-\  \:\~~\__\/ \  \:\ /  /:/     \__\:\ \  \:\ /  /:/
- \  \:\        \  \:\  /:/      /  /:/  \  \:\  /:/
-  \  \:\        \  \:\/:/      /__/:/    \  \:\/:/
-   \  \:\        \  \::/       \__\/      \  \::/
-    \__\/         \__\/                    \__\/
+Mojo Hacking
+============
 
 If you're trying to hack on Mojo, you can run "sudo python setup.py install"
 against a branch of Mojo to install it. You'll need codetree installed as well,
 which you can install in a similar way once grabbing lp:codetree.
 
-See the README's FAQ for further tips/gotchas.
+See the [README](readme.html)'s FAQ for further tips/gotchas.
 
 To build an updated version of the mojo package:
 
-1. Ensure the name of the directory you're using is "mojo" (debian
+ 1. Ensure the name of the directory you're using is "mojo" (debian
    packaging will look for this).
-2. Increment the version in ./setup.py
-3. `make deb`. If you need to rerun for some reason (missing dependencies,
+ 2. Increment the version in ./setup.py
+ 3. `make deb`. If you need to rerun for some reason (missing dependencies,
    etc.), just re-run `debuild -sa -I.bzr` from the debian directory, as `make
    deb` will update the changelog again.
-4. Upload the .changes file from a directory level above the Makefile
+ 4. Upload the .changes file from a directory level above the Makefile

=== renamed file 'docs/index.md' => 'docs/mojo/index.md'
--- docs/index.md	2015-01-20 16:42:06 +0000
+++ docs/mojo/index.md	2015-01-21 07:26:49 +0000
@@ -36,3 +36,6 @@
  * [Introduction to Mojo](mojo-insights-article-introduction.html)
  * [Mojo Deeper Dive](mojo-insights-article-deeper-dive.html)
  * [Mojo Example Deployment](mojo-insights-article-example-deployment.html)
+
+If you're interested in hacking on Mojo, please take a look at our [hacking
+page](hacking.html).

=== renamed file 'docs/readme.md' => 'docs/mojo/readme.md'
--- docs/readme.md	2015-01-20 16:46:31 +0000
+++ docs/mojo/readme.md	2015-01-21 07:26:49 +0000
@@ -1,16 +1,7 @@
-     ___           ___         ___          ___     
-    /__/\         /  /\       /  /\        /  /\    
-   |  |::\       /  /::\     /  /:/       /  /::\   
-   |  |:|:\     /  /:/\:\   /__/::\      /  /:/\:\  
- __|__|:|\:\   /  /:/  \:\  \__\/\:\    /  /:/  \:\ 
-/__/::::| \:\ /__/:/ \__\:\    \  \:\  /__/:/ \__\:\
-\  \:\~~\__\/ \  \:\ /  /:/     \__\:\ \  \:\ /  /:/
- \  \:\        \  \:\  /:/      /  /:/  \  \:\  /:/ 
-  \  \:\        \  \:\/:/      /__/:/    \  \:\/:/  
-   \  \:\        \  \::/       \__\/      \  \::/   
-    \__\/         \__\/                    \__\/    
+Mojo README
+===========
 
-   Mojo is a deployment workflow system for Juju.
+Mojo is a deployment workflow system for Juju.
 
 Mojo is a continuous integration and continuous delivery system for Juju-based
 services managed by Canonical IS. It is intended to replace the current system
@@ -26,7 +17,7 @@
 configuration files many deployment permutations can be tested.
 
 Usage
-=====
+-----
 
 Mojo provides several commands, each performing one phase of a Juju deployment
 process. These commands reference a Mojo spec for details about the
@@ -36,8 +27,7 @@
 working with specs, preparing your deployment, and for integrating with CI
 systems like Jenkins.
 
-Projects
---------
+### Projects ###
 
 A mojo project is the main staging ground for testing. It is directory where 
 deployment artifacts are assembled. A mojo project also has an lxc container
@@ -48,82 +38,93 @@
 
 The root MOJO_DIR is typically /srv/mojo so projects are located:
 
-/srv/mojo/$MOJO_PROJECT
+    /srv/mojo/$MOJO_PROJECT
 
 The LOCAL directory is where secrets and certificates or anything that cannot be
 stored in the spec repository should be staged for use by the deployment.
 The mojo secrets phase copies data from the LOCAL directory to the workspace
 local directory.
-/srv/mojo/LOCAL
+
+    /srv/mojo/LOCAL
 
 The ROOTFS directory is the lxc container rootfs.
-/srv/mojo/$MOJO_PROJECT/$MOJO_SERIES/ROOTFS
+
+    /srv/mojo/$MOJO_PROJECT/$MOJO_SERIES/ROOTFS
+
 with $MOJO_SERIES as either precise, trusty, etc.
 
-Workspaces
-----------
+### Workspaces ###
 
 A mojo workspace is staging ground for the specific version of the specification
 being tested. Typically the workspace is named for the revision number of the 
 spec and the stage. i.e 23-production
 
-/srv/mojo/$MOJO_PROJECT/$MOJO_SERIES/$MOJO_WORKSPACE
+    /srv/mojo/$MOJO_PROJECT/$MOJO_SERIES/$MOJO_WORKSPACE
 
 Workspace layout:
 
 The specification is pulled from a bzr repository to the spec directory.
 
-/srv/mojo/$MOJO_PROJECT/$MOJO_SERIES/$MOJO_WORKSPACE/spec
+    /srv/mojo/$MOJO_PROJECT/$MOJO_SERIES/$MOJO_WORKSPACE/spec
 
 The build directory is where collect phase stores the charms and payload data
 by default. The build phase script should point to the contents in this
 directory.
-/srv/mojo/$MOJO_PROJECT/$MOJO_SERIES/$MOJO_WORKSPACE/build
+
+    /srv/mojo/$MOJO_PROJECT/$MOJO_SERIES/$MOJO_WORKSPACE/build
 
 The charms directory is where the repo phase setups up the charm repository.
 The deploy phase deploys charms from this location.
-/srv/mojo/$MOJO_PROJECT/$MOJO_SERIES/$MOJO_WORKSPACE/charms
+
+    /srv/mojo/$MOJO_PROJECT/$MOJO_SERIES/$MOJO_WORKSPACE/charms
 
 The local directory is where secrets and certificates or anything that cannot be
 stored in the spec repository should be moved to for use by the deployment.
 The mojo secrets phase copies data from the LOCAL directory to the workspace
 local directory.
-/srv/mojo/$MOJO_PROJECT/$MOJO_SERIES/$MOJO_WORKSPACE/local
+
+    /srv/mojo/$MOJO_PROJECT/$MOJO_SERIES/$MOJO_WORKSPACE/local
 
 
 Setup Commands
-==============
+--------------
 
 Create a new project:
-sudo mojo project-new $MOJO_PROJECT -s $MOJO_SERIES
- eg:
-sudo mojo project-new my-stack-name -s precise
+
+    sudo mojo project-new $MOJO_PROJECT -s $MOJO_SERIES
+    # eg:
+    sudo mojo project-new my-stack-name -s precise
 
 
 List all projects
-mojo project-list
+
+    mojo project-list
 
 Delete a project
-sudo mojo project-destroy $MOJO_PROJECT
+
+    sudo mojo project-destroy $MOJO_PROJECT
 
 Create a new workspace:
-mojo workspace-new --project $MOJO_PROJECT -s $MOJO_SERIES $SPEC_URL $MOJO_WORKSPACE
-  eg:
-mojo workspace-new --project my-stack-name -s precise lp:~user/mojo-specs/my-stack-name stack-test-wip
+    
+    mojo workspace-new --project $MOJO_PROJECT -s $MOJO_SERIES $SPEC_URL $MOJO_WORKSPACE
+    # eg:
+    mojo workspace-new --project my-stack-name -s precise lp:~user/mojo-specs/my-stack-name stack-test-wip
 
 List all workspaces
-mojo workspace-list --project $MOJO_PROJECT -s $MOJO_SERIES
-  eg:
-mojo workspace-list --project my-stack-name -s precise
+
+    mojo workspace-list --project $MOJO_PROJECT -s $MOJO_SERIES
+    # eg:
+    mojo workspace-list --project my-stack-name -s precise
 
 Delete a workspace
-mojo workspace-destroy --project $MOJO_PROJECT -s $MOJO_SERIES $MOJO_WORKSPACE
-  eg:
-mojo workspace-destroy --project my-stack-name -s precise stack-test-wip
 
+    mojo workspace-destroy --project $MOJO_PROJECT -s $MOJO_SERIES $MOJO_WORKSPACE
+    # eg:
+    mojo workspace-destroy --project my-stack-name -s precise stack-test-wip
 
 Phases
-======
+------
+
 Mojo arranges deployments into several phases in order to ensure their
 repeatability. By breaking a deployment into small parts, Mojo allows you to
 easily build separate staging and production (or any other) environments whose
@@ -141,34 +142,33 @@
 
 
 Phase Commands
-==============
+--------------
 
-mojo run
---------
+### mojo run ###
 
 The one command to rule them all. The mojo run command pulls down the spec url, 
 reads the manifest and begins executing each phase in order per the manifest.
 
-mojo run --project $MOJO_PROJECT --series $MOJO_SERIES --stage $MOJO_STAGE $SPEC_URL $MOJO_WORKSPACE
-  eg:
-mojo run --project my-stack-name --series precise --stage devel lp:~user/mojo-specs/my-stack-name stack-test-wip
-
-
-mojo secrets
-------------
+    mojo run --project $MOJO_PROJECT --series $MOJO_SERIES --stage $MOJO_STAGE $SPEC_URL $MOJO_WORKSPACE
+    # eg:
+    mojo run --project my-stack-name --series precise --stage devel lp:~user/mojo-specs/my-stack-name stack-test-wip
+
+
+### mojo secrets ###
+
 The secrets phase copies secrets files from a staging directory (Default:
 /srv/mojo/LOCAL/$MOJO_PROJECT/$MOJO_STAGE) to the workspace local directory
 (/srv/mojo/LOCAL/$MOJO_PROJECT/$MOJO_STAGE) where they can be accessed by the
 remaining phases.
 
-Options: 
-  config=STAGED_SECRETS_DIRECTORY
-    Directory where secrets are staged
-    Default: /srv/mojo/LOCAL/$MOJO_PROJECT/$MOJO_STAGE
-
-
-mojo collect
-------------
+> Options: 
+>   config=STAGED_SECRETS_DIRECTORY
+>     Directory where secrets are staged
+>     Default: /srv/mojo/LOCAL/$MOJO_PROJECT/$MOJO_STAGE
+
+
+### mojo collect ###
+
 The collect phase gathers all code and other resources required to build your
 service via codetree. Some services may be composed only of charms, while others
 may collect static content, local configuration, or code that must be compiled.
@@ -177,31 +177,32 @@
 format is the following where destination is relative to
 $MOJO_WORKSPACE_DIR/build and source is a remote resource or a local directory.
 Example:
-destination             source1
-../spec/destination     source2
-
-Options: 
-  config=COLLECT_CONFIG_FILENAME
-    The name of the codetree collect configuration file
-
-
-mojo builddeps
---------------
+
+> destination             source1
+> ../spec/destination     source2
+
+> Options: 
+>   config=COLLECT_CONFIG_FILENAME
+>     The name of the codetree collect configuration file
+
+
+### mojo builddeps ###
+
 The builddeps phase prepares the lxc container by installing any required
 packages, apt repositories or apt repository gpg keys. It is passed the package,
 repos or repo_keys options using a comma delimited list.
 
-Options: 
-  repo_keys=APT_GPG_KEY[,APT_GPG_KEY]
-    Comma delimited list of apt repository GPG key file names
-  repos=REPO[,REPO]
-    Comma delimited list of apt repositories (See man apt-add-repository)
-  packages=PACKAGE_NAME[,PACKAGE_NAME]
-    Comma delimited list of packages.
-
-
-mojo script
------------
+> Options: 
+>   repo_keys=APT_GPG_KEY[,APT_GPG_KEY]
+>     Comma delimited list of apt repository GPG key file names
+>   repos=REPO[,REPO]
+>     Comma delimited list of apt repositories (See man apt-add-repository)
+>   packages=PACKAGE_NAME[,PACKAGE_NAME]
+>     Comma delimited list of packages.
+
+
+### mojo script ###
+
 A script phase simply executes a user-defined script. Use scripts to manipulate
 your Juju units directly or to set up external resources.
 
@@ -214,6 +215,7 @@
 
 Environment variables are injected into the script environment (Build and verify
 are subclasses of script and get these too).
+
     MOJO_PROJECT = Mojo project name
     MOJO_WORKSPACE = Workspace name
     MOJO_WORKSPACE_DIR = Workspace path
@@ -224,20 +226,19 @@
     MOJO_LOCAL_DIR = Workspace local dir
     MOJO_STAGE = Stage 
 
-Options: 
-  config=SCRIPT_NAME 
-    The name of the script to be executed
-  lxc=True/False
-    Whether to execute the script inside the lxc container
-    Defaults to False, except for the build phase which forces
-    lxc=True.
-  KEY=VALUE
-    All KEY=VALUE paramaters will be set as environment variables for use
-    by the script
-
-
-mojo build
-----------
+> Options: 
+>   config=SCRIPT_NAME 
+>     The name of the script to be executed
+>   lxc=True/False
+>     Whether to execute the script inside the lxc container
+>     Defaults to False, except for the build phase which forces
+>     lxc=True.
+>   KEY=VALUE
+>     All KEY=VALUE paramaters will be set as environment variables for use
+>     by the script
+
+### mojo build ###
+
 A build phase is nearly identical to a script phase, except that network access
 in the lxc container is prohibited during execution. This ensures that all 
 required resources are documented and available during collect.

=== added directory 'docs/templates'
=== added file 'docs/templates/footer.html'
--- docs/templates/footer.html	1970-01-01 00:00:00 +0000
+++ docs/templates/footer.html	2015-01-21 07:26:49 +0000
@@ -0,0 +1,2 @@
+</body>
+</html>

=== added file 'docs/templates/header.html'
--- docs/templates/header.html	1970-01-01 00:00:00 +0000
+++ docs/templates/header.html	2015-01-21 07:26:49 +0000
@@ -0,0 +1,5 @@
+<html>
+<head>
+<title>Mojo</title>
+</head>
+<body>

=== added directory 'docs/www'
